package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.LifeFile;
import java.io.FileInputStream;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;
import java.util.StringTokenizer;
import org.apache.commons.lang.StringUtils;
import org.apache.poi.xssf.usermodel.XSSFCell;
import org.apache.poi.xssf.usermodel.XSSFRow;
import org.apache.poi.xssf.usermodel.XSSFSheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/CorSyncFileParseAction.class */
public class CorSyncFileParseAction extends LifeAction {
    private static final String FIELD_SEPERATOR = "||";
    private String uploadFile;
    private String iCollName;
    private String batchType;
    private List outputFields;
    private List titles;

    /* JADX WARN: Multi-variable type inference failed */
    public String execute(Context context) throws TranFailException {
        String str = (String) context.get(this.uploadFile);
        IndexedCollection indexedCollection = (IndexedCollection) context.get(this.iCollName);
        IndexedCollection indexedCollection2 = (IndexedCollection) context.get("corImportTaskList");
        String obj = context.get("opFlag").toString();
        LifeFile.getFileType(str);
        int i = 0;
        Context context2 = null;
        int i2 = 0;
        try {
            XSSFSheet sheetAt = new XSSFWorkbook(new FileInputStream(str)).getSheetAt(0);
            int lastRowNum = sheetAt.getLastRowNum();
            if ("1".equals(obj)) {
                for (int i3 = 1; i3 < lastRowNum; i3++) {
                    StringBuilder sb = new StringBuilder();
                    XSSFRow row = sheetAt.getRow(i3);
                    Context keyedCollection = new KeyedCollection();
                    if (row.getCell(0) != null && "结束".equals(row.getCell(0).getStringCellValue())) {
                        break;
                    }
                    if ((row.getCell(0) == null || StringUtils.isEmpty(row.getCell(0).getStringCellValue())) && ((row.getCell(1) == null || StringUtils.isEmpty(row.getCell(1).getStringCellValue())) && (row.getCell(2) == null || StringUtils.isEmpty(row.getCell(2).getStringCellValue())))) {
                        sb.append("第" + i3 + "行字段均为空");
                        i2++;
                    } else {
                        for (int i4 = 0; i4 < this.outputFields.size(); i4++) {
                            context2 = row.getCell(i4);
                            try {
                                System.out.println("===" + emptyToStr(this.outputFields.get(i4)) + "====" + emptyToStr(context2.getStringCellValue()));
                                context2 = keyedCollection;
                                context2.addDataField(emptyToStr(this.outputFields.get(i4)), emptyToStr(context2.getStringCellValue()));
                            } catch (GENEException e) {
                                context2.printStackTrace();
                            }
                        }
                        i++;
                        indexedCollection.addDataElement(keyedCollection);
                        if (!StringUtils.isEmpty(sb.toString())) {
                            KeyedCollection keyedCollection2 = new KeyedCollection();
                            keyedCollection2.addDataField("ts_status", sb.toString());
                            indexedCollection2.setDataElement(keyedCollection2);
                        }
                    }
                }
                context.setDataValue("failCount", Integer.valueOf(i2));
                context2 = context;
                context2.setDataValue("successCount", Integer.valueOf(i));
                return "0";
            }
            if ("2".equals(obj)) {
                for (int i5 = 1; i5 < lastRowNum; i5++) {
                    StringBuilder sb2 = new StringBuilder();
                    XSSFRow row2 = sheetAt.getRow(i5);
                    Context keyedCollection3 = new KeyedCollection();
                    if (row2.getCell(0) != null && "结束".equals(row2.getCell(0).getStringCellValue())) {
                        break;
                    }
                    if ((row2.getCell(0) == null || StringUtils.isEmpty(row2.getCell(0).getStringCellValue())) && ((row2.getCell(1) == null || StringUtils.isEmpty(row2.getCell(1).getStringCellValue())) && (row2.getCell(2) == null || StringUtils.isEmpty(row2.getCell(2).getStringCellValue())))) {
                        sb2.append("第" + i5 + "行字段均为空");
                        i2++;
                    } else {
                        int i6 = 0;
                        while (true) {
                            if (i6 >= this.outputFields.size()) {
                                break;
                            }
                            XSSFCell cell = row2.getCell(i6);
                            if ("新兴产业分类".equals(this.titles.get(i6))) {
                                boolean isEmpty = StringUtils.isEmpty(getFromDataDictionary("", emptyToStr(cell.getStringCellValue())));
                                context2 = isEmpty;
                                if (isEmpty != 0) {
                                    sb2.append("第" + i5 + "行," + this.titles.get(i6) + "字段不匹配");
                                    i2++;
                                    break;
                                }
                                try {
                                    System.out.println("===" + emptyToStr(this.outputFields.get(i6)) + "====" + emptyToStr(cell.getStringCellValue()));
                                    context2 = keyedCollection3;
                                    context2.addDataField(emptyToStr(this.outputFields.get(i6)), emptyToStr(cell.getStringCellValue()));
                                } catch (GENEException e2) {
                                    context2.printStackTrace();
                                }
                                i6++;
                            } else if ("上市板块 ".equals(this.titles.get(i6))) {
                                boolean isEmpty2 = StringUtils.isEmpty(getFromDataDictionary("", emptyToStr(cell.getStringCellValue())));
                                context2 = isEmpty2;
                                if (isEmpty2 != 0) {
                                    sb2.append("第" + i5 + "行," + this.titles.get(i6) + "字段不匹配");
                                    i2++;
                                    break;
                                }
                                System.out.println("===" + emptyToStr(this.outputFields.get(i6)) + "====" + emptyToStr(cell.getStringCellValue()));
                                context2 = keyedCollection3;
                                context2.addDataField(emptyToStr(this.outputFields.get(i6)), emptyToStr(cell.getStringCellValue()));
                                i6++;
                            } else if ("企业资质".equals(this.titles.get(i6))) {
                                boolean isEmpty3 = StringUtils.isEmpty(getFromDataDictionary("", emptyToStr(cell.getStringCellValue())));
                                context2 = isEmpty3;
                                if (isEmpty3 != 0) {
                                    sb2.append("第" + i5 + "行," + this.titles.get(i6) + "字段不匹配");
                                    i2++;
                                    break;
                                }
                                System.out.println("===" + emptyToStr(this.outputFields.get(i6)) + "====" + emptyToStr(cell.getStringCellValue()));
                                context2 = keyedCollection3;
                                context2.addDataField(emptyToStr(this.outputFields.get(i6)), emptyToStr(cell.getStringCellValue()));
                                i6++;
                            } else {
                                boolean equals = "帐户类别".equals(this.titles.get(i6));
                                context2 = equals;
                                if (equals != 0) {
                                    boolean isEmpty4 = StringUtils.isEmpty(getFromDataDictionary("", emptyToStr(cell.getStringCellValue())));
                                    context2 = isEmpty4;
                                    if (isEmpty4 != 0) {
                                        sb2.append("第" + i5 + "行," + this.titles.get(i6) + "字段不匹配");
                                        i2++;
                                        break;
                                    }
                                }
                                System.out.println("===" + emptyToStr(this.outputFields.get(i6)) + "====" + emptyToStr(cell.getStringCellValue()));
                                context2 = keyedCollection3;
                                context2.addDataField(emptyToStr(this.outputFields.get(i6)), emptyToStr(cell.getStringCellValue()));
                                i6++;
                            }
                        }
                        i++;
                        indexedCollection.addDataElement(keyedCollection3);
                        if (!StringUtils.isEmpty(sb2.toString())) {
                            KeyedCollection keyedCollection4 = new KeyedCollection();
                            keyedCollection4.addDataField("ts_status", sb2.toString());
                            indexedCollection2.setDataElement(keyedCollection4);
                        }
                    }
                }
            }
            context.setDataValue("failCount", Integer.valueOf(i2));
            context2 = context;
            context2.setDataValue("successCount", Integer.valueOf(i));
            return "0";
        } catch (Exception e3) {
            context2.printStackTrace();
            return "0";
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v17, types: [int] */
    /* JADX WARN: Type inference failed for: r0v18, types: [java.sql.SQLException] */
    /* JADX WARN: Type inference failed for: r0v20, types: [java.sql.Connection] */
    private String getFromDataDictionary(String dictCode, String cellValue) {
        TranFailException tranFailException = null;
        TranFailException tranFailException2 = null;
        try {
            try {
                tranFailException2 = LifeDBAccess.getConnection();
                List inputList = new LinkedList();
                inputList.add(dictCode);
                inputList.add(cellValue);
                List ddCheckList = LifeDBAccess.querySingleResult(tranFailException2, "SELECT dd.`CODE` FROM data_dictionary dd WHERE dd.`CODE` = ? AND dd.`NAME` = ? LIMIT 1", inputList, 1);
                ?? size = ddCheckList.size();
                if (size > 0) {
                    tranFailException = String.valueOf(ddCheckList.get(0));
                    try {
                        tranFailException2.close();
                    } catch (SQLException e) {
                        tranFailException2.printStackTrace();
                    }
                    return tranFailException;
                }
                try {
                    size = tranFailException2;
                    size.close();
                    return "";
                } catch (SQLException e2) {
                    size.printStackTrace();
                    return "";
                }
            } catch (TranFailException e3) {
                tranFailException.printStackTrace();
                TranFailException tranFailException3 = tranFailException2;
                try {
                    tranFailException3.close();
                    return "";
                } catch (SQLException e4) {
                    tranFailException3.printStackTrace();
                    return "";
                }
            }
        } catch (Throwable th) {
            try {
                tranFailException = tranFailException2;
                tranFailException.close();
            } catch (SQLException e5) {
                tranFailException.printStackTrace();
            }
            throw th;
        }
    }

    public void setUploadFile(String uploadFile) {
        this.uploadFile = uploadFile;
    }

    public void setICollName(String iCollName) {
        this.iCollName = iCollName;
    }

    public void setBatchType(String batchType) {
        this.batchType = batchType;
    }

    public void setTitles(String titles) {
        List result = new ArrayList();
        StringTokenizer toke = new StringTokenizer(titles, FIELD_SEPERATOR);
        while (toke.hasMoreElements()) {
            String input = ((String) toke.nextElement()).trim();
            result.add(input);
        }
        this.titles = result;
    }

    public void setOutputFields(String outputFields) {
        List result = new ArrayList();
        StringTokenizer toke = new StringTokenizer(outputFields, FIELD_SEPERATOR);
        while (toke.hasMoreElements()) {
            String input = ((String) toke.nextElement()).trim();
            result.add(input);
        }
        this.outputFields = result;
    }

    private String emptyToStr(Object obj) {
        if (obj == null) {
            return "";
        }
        return obj.toString();
    }
}
